# glm::gtc::matrix_transform Namespace Reference

GLM_GTC_matrix_transform extension: Add transformation matrices. More...

## Functions
template<typename valType >
detail::tmat4x4< valType > | rotate (detail::tmat4x4< valType > const &m, valType const &angle, detail::tvec3< valType > const &v)
| Builds a rotation 4 * 4 matrix created from an axis vector and an angle expressed in degrees.
template<typename valType >
detail::tmat4x4< valType > | scale (detail::tmat4x4< valType > const &m, detail::tvec3< valType > const &v)
| Builds a scale 4 * 4 matrix created from 3 scalars.
template<typename valType >
detail::tmat4x4< valType > | translate (detail::tmat4x4< valType > const &m, detail::tvec3< valType > const &v)
| Builds a translation 4 * 4 matrix created from a vector of 3 components.

## Detailed Description

GLM_GTC_matrix_transform extension: Add transformation matrices.

## Function Documentation

detail::tmat4x4<valType> glm::gtc::matrix_transform::rotate | ( | detail::tmat4x4< valType > const & | m,
|  | valType const & | angle,
|  | detail::tvec3< valType > const & | v |
| ) |  |  |

Builds a rotation 4 * 4 matrix created from an axis vector and an angle expressed in degrees.

From GLM_GTC_matrix_transform extension.

detail::tmat4x4<valType> glm::gtc::matrix_transform::scale | ( | detail::tmat4x4< valType > const & | m,
|  | detail::tvec3< valType > const & | v |
| ) |  |  |

Builds a scale 4 * 4 matrix created from 3 scalars.

From GLM_GTC_matrix_transform extension.

detail::tmat4x4<valType> glm::gtc::matrix_transform::translate | ( | detail::tmat4x4< valType > const & | m,
|  | detail::tvec3< valType > const & | v |
| ) |  |  |

Builds a translation 4 * 4 matrix created from a vector of 3 components.

From GLM_GTC_matrix_transform extension.